[SciPy-user] cspline1d_eval

Travis Oliphant oliphant.travis at ieee.org
Tue Mar 14 00:50:57 CST 2006


George Geller wrote:
> I was trying to follow the recipe at:
>
> http://www.scipy.org/Cookbook/Interpolation
>
>
> from numpy import r_, sin
> from scipy.signal import cspline1d, cspline1d_eval
>
>   
> First, with my installation the first import line has to read:
>
>   
This seems to me that you don't have the latest scipy installed.

The recipe only works with numpy and scipy (*not* with the SciPy based 
on Numeric).

What version of scipy do you have?

> Am I doing something really dumb, or is the recipe seriously obsolete?
>   
It appears that you have an older version of scipy, and the recipe only 
works in newer installations.

-Travis



More information about the SciPy-user mailing list